Documents

Document Request Get

GET
/documents/request/{documentRequestGuid}/get

Retrieves a single document request by its GUID.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Path Parameters

documentRequestGuid*string

GUID of the document request.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/documents/request/6ba7b810-9dad-11d1-80b4-00c04fd430c8/get"
{  "result": {    "data": {      "documentRequest": {        "documentRequestGuid": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",        "subscriptionGuid": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",        "documentTemplateGuid": "7c9e6679-7425-40de-944b-e07fc1f90ae7",        "dataGuid": "3f2504e0-4f89-41d3-9a0c-0305e82c3301",        "documentGuid": "",        "documentSolutionConfigurationGuid": "a3bb189e-8bf9-3888-9912-ace4e6543002",        "ownerGuid": "1a2b3c4d-5e6f-4a1b-8c2d-3e4f5a6b7c8d",        "lastModifiedUserGuid": "1a2b3c4d-5e6f-4a1b-8c2d-3e4f5a6b7c8d",        "recordId": "INV-2026-000123",        "name": "Invoice run - Contoso July",        "status": "Pending",        "embeddedData": "{\"invoiceNumber\":\"INV-2026-000123\"}",        "title": "Invoice INV-2026-000123",        "fileFormat": "pdf",        "processingType": "STANDARD",        "deliveryMethod": "Email",        "path": "output/invoices/",        "pdfConformanceLevel": "PdfA2B",        "pdfVersion": "2026-01-07",        "language": "en",        "locale": "en-US",        "timeZone": "America/New_York",        "viewAnonymous": false,        "editAnonymous": false,        "viewOrganization": true,        "editOrganization": false,        "viewUser": true,        "editUser": false,        "viewUserEmailList": "alice@example.com,bob@example.com",        "editUserEmailList": "carol@example.com",        "createdDate": "2026-07-14T09:30:00.000Z",        "completedDate": "",        "lastModifiedDate": "2026-07-14T09:30:00.000Z",        "isDeleted": false      }    },    "statusCode": 200,    "message": "OK"  },  "origin": "GET https://api.doctavian.com/v1/documents/request/{documentRequestGuid}/get",  "dateTime": "2026-07-14T09:30:00.000Z",  "operationId": "8809505a6c0775563098f70d54755a10",  "userId": "1fe96667-889b-48d7-a4f1-e915b309c039"}
{  "userId": "cdc3ea2d-15d0-49c4-bdfe-034c39cf16b7",  "error": {    "statusCode": 400,    "message": "Name is required.",    "innerErrors": [      {        "code": "DATA_NAME_REQUIRED",        "message": "Name is required.",        "userMessage": "Name is required."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/documents/request/{documentRequestGuid}/get",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "3d3895f69c47f39e6f8d44bdf0bb0d48"}
{  "error": {    "statusCode": 401,    "message": "The request could not be authenticated.",    "innerErrors": [      {        "code": "UNAUTHORIZED",        "message": "The request could not be authenticated.",        "userMessage": "Your session has expired or is invalid. Please sign in again."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/documents/request/{documentRequestGuid}/get",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "ec1103945561647246d6d5df9f02af53",  "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}
{  "error": {    "statusCode": 404,    "message": "The requested resource was not found.",    "innerErrors": [      {        "code": "NOT_FOUND_BY_ID",        "message": "The requested resource was not found.",        "userMessage": "We couldn't find that resource. Check the id and try again."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/documents/request/{documentRequestGuid}/get",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "11c0971b7c6624afcefe08bc95bc141e",  "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}
{  "userId": "ea563b04-797e-44c3-a550-38a7543a21d3",  "error": {    "statusCode": 500,    "message": "An unexpected error occurred.",    "innerErrors": [      {        "code": "GET_DATA_SOURCE_ERROR",        "message": "An unexpected error occurred.",        "userMessage": "An unexpected error occurred."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/documents/request/{documentRequestGuid}/get",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "95f39180b1fa557735797b7d9852a65f"}